<? $this->headScript()
		->appendFile(_stm('tiny_mce/tiny_mce.js'), 'text/javascript');
		//->appendFile(_stm('private-about-me.js'), 'text/javascript');
?>
<?php
function render_lng_picker() {
	$html = '<div class="lng-picker">';

	foreach ( array_reverse(Cubix_I18n::getLangs(false)) as $id => $title ) {
		$html .= '<span class="lng-about" data-lang="' . $id . '"><img width="16" height="11" alt="' . $title . '" title="' . $title . '" src="' . _st('_/flag_' . $id . '.png') . '" /></span>';
	}

	$html .= '</div>';

	return $html;
}
?>

<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

<div class="c-body">
	<div class="c-title"><?= __('about_me') ?></div>
	<p class="note-info"><?= __('attention_text_about') ?></p>
</div>

<div class="c-body">
<!--	<div class="c-title">--><?//= __('languages') ?><!--</div>-->
	<div class="body">
		<div class="inner">
			<span class="error old-err" style="width: 10px; height: 11px;">*</span>
			<?= render_lng_picker() ?>
			<div class="clear"></div>
			
			<div class="about_me_text"></div>
			
			<div class="clear"></div>
		</div>

		<div class="inner">
            <?php if( $this->errors['about_me_text'] ): ?>
                <p class="word-error"><?=$this->errors['about_me_text']?></p>
            <?php endif; ?>

			<? foreach ( array_reverse(Cubix_I18n::getLangs(false)) as $lng => $title ): ?>
				<div id="container-about-<?= $lng ?>" class="container-about-field" style="display: none">
					<textarea class="about-field" id="about-<?= $lng ?>" name="about_<?= $lng ?>" style="width: 98%" rows="10"><?= $this->data['about_' . $lng] ?></textarea>
				</div>
			<? endforeach ?>
		</div>
	</div>
</div>

<div class="c-body">
	<div class="c-title"><?= __('mob_pv2_section_additional_information') ?></div>
	
	<? $options = array(1 => __('yes'), 2 => __('no'), 3 => __('ocasionally')) ?>
	<div class="body">
		
		<div class="inner">
			<label for="is_smoking"><?= __('pv2_label_smoking') ?></label>
			<select id="is_smoking" name="is_smoking" class="w194">
				<option value="">-</option>
				<? foreach ( $options as $i => $opt ): ?> 
					<option value="<?= $i ?>" <?= $i == $this->data['is_smoking']  ? ' selected="selected"' : '' ?>><?= $opt ?>&nbsp;&nbsp;</option>
				<? endforeach; ?>
			</select>

			<div class="clear"></div>
		</div>
		
		<div class="inner">
			<label for="is_drinking"><?= __('pv2_label_drinking') ?></label>
			<select id="is_drinking" name="is_drinking" class="w194">
				<option value="">-</option>
				<? foreach ( $options as $i => $opt ): ?> 
					<option value="<?= $i ?>" <?= $i == $this->data['is_drinking']  ? ' selected="selected"' : '' ?>><?= $opt ?>&nbsp;&nbsp;</option>
				<? endforeach; ?>
			</select>

			<div class="clear"></div>
		</div>

		<div class="inner vindent long about-character">
			<label for="characteristics" class="fullWidth"><?= __('pv2_label_special_characteristics') ?></label>
			<textarea id="characteristics" class="txt" name="characteristics"><?= $this->data['characteristics'] ?></textarea>

			<span class="tip" title="<?= __('pv2_tip_special_characteristics') ?>"></span>

			<div class="clear"></div>
		</div>
	</div>
</div>


<?php function hasStatusBit($old_status, $status)
{
    $result = true;
    $result = ($old_status & $status) && $result;
    return $result;
}?>

<?php $__np_profile = false; $__class = ''; ?>
<?php if( hasStatusBit($this->escort->status, Model_EscortsV2::ESCORT_STATUS_NO_PROFILE) && !$this->user->isAgency() ): ?>
    <?php $__np_profile = true; $__class = 'no-profile'; ?>
<?php endif; ?>

<?php if ( $this->user->isAgency() || $__np_profile ): ?>
	<div id="saveWrapper" class="<?=$__class?>">
		<input class="to-next" type="button" value="<?=__('mob_go_next')?>" />
		<input class="to-prev" type="button" value="<?=__('mob_go_back')?>" />
	</div>

	<script>
		$(document).ready(function(){

			$('.to-next').on('click', function(){
				var _form = $(this).closest('form.form');
				_form.find('[name="then"]').val(':next');
				_form.submit();
			});

			$('.to-prev').on('click', function(){
				var _form = $(this).closest('form.form');
				_form.find('[name="then"]').val(':back');
				_form.submit();
			});
		});
	</script>
<?php else: ?>
	<div id="saveWrapper">
		<input type="submit" value="<?=__('save_changes')?>" />
	</div>
<?php endif; ?>

<style>
    .word-error {
        color: red;
        font-size: 11px;
        padding: 7px 10px;
        background: #fff4f4;
        font-weight: 600;
        border: 1px solid #ffecec;
        margin-bottom: 10px;
        width: calc(100% - 7px);
    }
</style>

<script>
	$(document).ready( function(){
		var lng = '<?=Cubix_I18n::getLang()?>';
		if( !lng ) lng = 'it';

        <?php $ii = 0; foreach( $this->errors as $field => $msgs ): $jj += 1; ?>
            //$('[id^="container-about-"]').addClass('field-error');
            MCubix.Errors.show('<?= $msgs ?>', true);
        <?php endforeach; ?>

		$('.container-about-field').removeClass('toShow');
		$('#container-about-' + lng).addClass('toShow').focus();

		if ( typeof(tinyMCE) !== 'undefined' ) {
			tinyMCE.init({
				mode : "textareas",
				theme : "advanced",
				theme_advanced_toolbar_location	  : "top",
				theme_advanced_toolbar_align	  : "left",
				editor_selector : 'about-field',
				theme_advanced_buttons1 : "bold,italic",
				theme_advanced_buttons2 : "",
				theme_advanced_buttons3_add : "",
				remove_script_host : false,
				relative_urls : false,
				convert_urls : false
			});
		}

		var _lngBtns = $('.lng-picker').find('.lng-about');
		$('[data-lang="<?=Cubix_I18n::getLang()?>"]').addClass('act');

		_lngBtns.on('click', function(){
			var _lng = $(this).attr('data-lang');

			_lngBtns.removeClass('act');
			$(this).addClass('act');

			$('.container-about-field').removeClass('toShow');
			$('#container-about-' + _lng).addClass('toShow').focus();
		})
	});
</script>